//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.


#include "NormEps.h"

double NormEps::eps = 0.0;

double 
NormEps::calcNormEps(const WorldVector<double> &x) 
{
  FUNCNAME("NormEps::calcNormEps()");

  static double result;

  TEST_EXIT(eps > 1.e-15)("illegal eps for norm regularization !\n");
  result = x*x + eps*eps;

  return(sqrt(result));
}
  
double 
NormEps::calcNormEps2(const WorldVector<double> &x) 
{
  FUNCNAME("NormEps::calcNormEps2()");

  static double result;

  TEST_EXIT(eps > 1.e-15)("illegal eps for norm regularization !\n");
  result = x*x + eps*eps;

  return(result);
}
